class opendeploy::receiver::service {

  $_sysconf_dir          = '/etc/init.d'
  $_od_controller        = "${_sysconf_dir}/iwodserver"
  $_od_status_controller = "${_sysconf_dir}/iwodstatus"

  file { $_od_status_controller:
    ensure  => 'present',
    mode    => '0755',
    owner   => 'root',
    group   => 'root',
    content => template('opendeploy/receiver/iwodstatus.erb'),
  }

  service { 'iwodserver':
    ensure   => $opendeploy::receiver::service_ensure,
    enable   => true,
    provider => 'base',
    status   => $_od_status_controller,
    stop     => "${_od_controller} stop",
    start    => "${_od_controller} start",
    require  => [ Exec['install_opendeploy_receiver'], ],
  }

}
